﻿using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Xml.Linq;
using Wisej.Web;

namespace Wisej.CommandBindingSample
{
    public class DataViewModel : ObservableCollection<DataRecord>
    {
        public DataViewModel()
        {
            LoadData();


        }

        private void LoadData()
        {
            for (int i = 0; i < 10; i++)
            {
                Add(new DataRecord()
                {
                    Name = $"Name {i}",
                    Description = $"Description {i}"
                });
            }
        }
    }
}
